<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Source\Provider\Instagram\Type;

class InstagramBusinessMediaType extends InstagramMediaType
{
    public const TYPE_NAME = 'InstagramBusinessMedia';
    public const TYPE_LABEL = 'Instagram Business Media';

    public function name(): string
    {
        return self::TYPE_NAME;
    }

    public function label(): string
    {
        return self::TYPE_LABEL;
    }

    public function config(): array
    {
        $config = parent::config();

        $config['fields']['comments_count'] = [
            'type' => 'Int',
            'metadata' => [
                'label' => 'Total Comments',
            ],
        ];

        $config['fields']['like_count'] = [
            'type' => 'Int',
            'metadata' => [
                'label' => 'Total Likes',
            ],
        ];

        return $config;
    }
}
